NETCONFIG(8C)

NAME
netconfig - PNP boot service

SYNOPSIS
/single/netconfig [ -e ] [ -n ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

netconfig is used both for automatic installation of new diskful systems, and during routine booting of all systems. The sequence of actions taken by netconfig depends on which of these situations is in effect, but it always sets the hostname, domainname, time, timezone, and interface IP address. If the system is newly installed on the network, it does more, perhaps interrogating the user about system configuration.

netconfig is invoked with the -e option from the /etc/rc.boot script.

Invoked without options, netconfig may perform PNP set up, including set up of files, passwords, and secure RPCs. Unless -n is specified, it writes /etc/net.conf, which is read later by rc.boot. This includes the VERBOSE flag, derived from NVRAM data, which controls the verbosity of the commands in rc.boot.

  Routine Booting

Boot servers use information stored locally in Network Information Service (NIS) acquiring it over the network, except that they get the time from the timehost system if it is up. The following describes the steps taken by boot clients: diskful clients, diskless clients, and network clients.

Boot clients first invoke rarp to acquire an IP address. This is followed by a ICMP Netmask request to obtain the IP subnetwork mask, and then a PNP_WHOAMI RPC to determine the system's name, NIS domain, and time zone. Then the systems clock is set using the RFC 868 time service. If PNP_WHOAMI fails, a PNP_SETUP sequence is followed by set up of /etc/passwd and other files.

OPTIONS

-e  Check shell environment variables. This option is specified during routine boot. HOSTNAME and DOMAINNAME are used to determine if the system is an NIS server using local NIS maps. Otherwise, if NETWORKED is YES, netconfig probes the network for network configuration. MUST_SETUP requires writing /etc/passwd and other files for setup in restricted network environments.

-n  Used in conjunction with `-e', this does not probe the network for anything but just sets the hostname and domainname of the system from the environment variables HOSTNAME and DOMAINNAME respectively. Does not write the /etc/net.conf file.

FILES
/var/yp/domainname/netmasks
/var/yp/domainname/hosts

SEE ALSO
pnp(3R), pnpboot(8C), pnpd(8C), rarpd(8C)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.